INTERFACE
SUBROUTINE CAPOTX ( KTSK, KNBPT,&
 & PUT, PVT, PTT, PQT, PLT, PIT, PRT, PST, PSPT,&
 & PSP_SB,PSP_SG,PSP_RR,PSP_CI,PSP_X2,PSD_VF,PSD_VV,PSD_VX,&
 & PGM, PGELAT, PGELAM, PGNORDL, PGNORDM, PRCORI,&
 & PGEMU, PCAGUE, PESIG, PSGPHI, PSGHUM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE SURFACE_FIELDS_MIX, ONLY : YSP_SGD, YSP_SG, YSP_RRD,YSD_VVD,&
 & YSD_VFD, YSP_CID, YSP_CI, YSP_X2D, YSP_SBD,&
 & YSD_VXD 
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPT
INTEGER(KIND=JPIM),INTENT(IN) :: KTSK
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PIT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PST(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SB(NPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SG(NPROMA,YSP_SGD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(NPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_CI(NPROMA,YSP_CID%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSP_X2(NPROMA,YSP_X2D%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VF(NPROMA,YSD_VFD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VV(NPROMA,YSD_VVD%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSD_VX(NPROMA,YSD_VXD%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAGUE(2,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PESIG(2*NFLEVG+5,KNBPT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGPHI(NFLEVG,KNBPT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGHUM(NFLEVG,KNBPT)
END SUBROUTINE CAPOTX
END INTERFACE
